variables:
  APP_NAME: "repo-supervisor"
  GROUP_NAME: "frontend-team"
  GIT_URL: "https://github.com/auth0/repo-supervisor"
  BRANCH_NAME: "master"
  GIT_DEPTH: '1'
  ENV: "dev"

stages:
  - secret_detection

secrets:
  stage: secret_detection
  image:
    name: python:3-alpine
  variables:
    SECRETS_RESULTS: 'secrets.json'
  script:
    - ls ${CI_PROJECT_DIR}
    - apk add --no-cache jq git --update
    - python -m pip install --upgrade truffleHog
    - trufflehog file:///${PWD}/ --json --regex --entropy=False | grep -v Whhaat | tee ${SECRETS_RESULTS} | jq -C
  artifacts:
    paths: ["${SECRETS_RESULTS}"]
    when: always
  allow_failure: false